KParts::GUIActivateEvent Class Reference

`#include <event.h>`

Inheritance diagram for KParts::GUIActivateEvent:

## Public Member Functions

| GUIActivateEvent (bool activated)
bool | activated () const
Public Member Functions inherited from KParts::Event
| Event (const char *eventName)
virtual const char * | eventName () const

## Static Public Member Functions

static bool | test (const QEvent *event)
Static Public Member Functions inherited from KParts::Event
static bool | test (const QEvent *event)
static bool | test (const QEvent *event, const char *name)

## Detailed Description

This event is sent to a Part when its GUI has been activated or deactivated.

This is related to PartActivateEvent, but the difference is that GUIActivateEvent happens later (when the GUI is actually built), only for parts that have GUI elements, and only if using KParts::MainWindow.

See also
  KParts::Part::guiActivateEvent()

Definition at line 54 of file event.h.

The documentation for this class was generated from the following files:

- event.h
- event.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys